/*
 * ARJ+xenu is based on open-source ARJ by Andrew Belov <andrew_belov@newmail.ru>.
 *
 * Copyright (C) 2011 Tomasz Konojacki <xenu@poczta.onet.pl>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * ---------------------------------------------------------------------------
 * This module contains  nothing more than a set of "r", "rb", "rb+" and other
 * file access modes, to conserve space in DGROUP.
 *
 */

#include "bindings.h"

/* File modes */

#if defined(ARJUTIL)||SFX_LEVEL>=ARJSFXV||defined(REARJ)||defined(REGISTER)
 char m_r[]="r";
#endif
#if defined(ARJUTIL)||SFX_LEVEL>=ARJSFX
 char m_w[]="w";
#endif
#if defined(ARJUTIL)||SFX_LEVEL>=ARJSFX||defined(REARJ)
 char m_rb[]="rb";
#endif
#if defined(ARJUTIL)||SFX_LEVEL>=ARJSFX||defined(REGISTER)||defined(REARJ)
 char m_rbp[]="rb+";
#endif
#if SFX_LEVEL>=ARJSFXV
 char m_rp[]="r+";
#endif
#if SFX_LEVEL>=ARJSFX||defined(REARJ)
 char m_wb[]="wb";
#endif
#if SFX_LEVEL>=ARJ
 char m_wbp[]="wb+";
#endif
#if SFX_LEVEL>=ARJ||defined(REARJ)
 char m_a[]="a";
#endif
#ifdef ARJUTIL
 char m_abp[]="ab+";
#endif

